Subject: [Gen-art] RE: GenART review of draft-ietf-simple-rpid-09.txt

From: [email-masked]
Date: Tue, 22 Nov 2005 20:32:51 -0500

One more nit: Paul Kyzivat's email address in the draft is not correct ...

Mail Delivery System [[email-masked]]  said:

The following message to <[email-masked]> was undeliverable.
The reason for the problem:
5.1.0 - Unknown address error 550-'5.1.1 <[email-masked]>... User
unknown' 

FYI,
--David

> -----Original Message-----
> From: Black, David 
> Sent: Tuesday, November 22, 2005 8:26 PM
> To: [email-masked]; [email-masked]'; 
> [email-masked]'; [email-masked]'; [email-masked]'
> Cc: [email-masked]; Black, David; 'Robert Sparks'; 
> 'Hisham Khartabil'; 'Jon Peterson'
> Subject: GenART review of draft-ietf-simple-rpid-09.txt
> 
> Background for those who may be unaware of GenART:
> 
> GenART is the Area Review Team for the General Area of the IETF.
> We advise the General Area Director (i.e. the IETF/IESG chair) by
> providing more in depth reviews than he could do himself of documents
> that come up for final decision in IESG telechat.  I was selected
> as the GenART member to review this document.  Below is my review,
> which was written specifically with an eye to the GenART process, but
> since I believe that it will be useful to have these comments more
> widely distributed, others outside the GenART group are included.
> 
> Review criteria for WG submissions: "Is this document a reasonable
> contribution to the area of Internet engineering which it covers? If
> not, what changes would make it so?"
> 
> This draft is basically ready for publication, but has nits that
> should be fixed before publication.
> 
> Overall, it's a well-written draft.  Of the nits below, I would place
> some emphasis on improving the discussion of extensibility, as the
> cross-reference to RFC 3863 doesn't make everything obvious.
> 
> The term "presentity" is used extensively in this draft; it is a new
> term (at least to me) that needs a definition and/or explanation,
> including how it relates to "person".  My guess from context is that
> a presentity is a proxy for presence determination/reporting purposes.
> 
> Section 1, Introduction - CPIM acronym used without expansion or prior
> definition.  Please supply one.
> 
> Section 3.1 Overview - The From/until? column in Figure 1 is not
> explained until a few paragraphs after the table.  This might be a
> pagination issue, but the Notes? column in Figure 1 is not explained
> at all, which is an omission.  The text should explain all the columns
> in the table just before or immediately after the table.
> 
> Near the end of Section 3.1, the following sentence describes
> extensibility of enumerations:
> 
> 	Enumerations can be extended by elements from other namespaces.
> 
> There are a couple of important points that aren't obvious from this
> statement that should be explained here:
> - The namespaces for standard extensions are specified in Section 6.
> - Anyone can define an extension by  defining a new namespace
> 	(not using a standard extensions namespace).
> In connection with the latter point ...
> 
> Section 6, Extending RPID - It would be useful to adapt the
> following text from Section 4.2.1 of RFC 3863 to this section:
> 
>    Any developer can introduce their own element names,
>    avoiding conflict by choosing an appropriate namespace URI.
> 
> to explain how to define new enumeration values without conflict, and
> as part of this an explanation of "appropriate" would be useful.
> 
> Thanks,
> --David
> ----------------------------------------------------
> David L. Black, Senior Technologist
> EMC Corporation, 176 South St., Hopkinton, MA  01748
> +1 (508) 293-7953             FAX: +1 (508) 293-7786
> [email-masked]        Mobile: +1 (978) 394-7754
> ----------------------------------------------------
> 

_______________________________________________
Gen-art mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/gen-art

---

From: Henning Schulzrinne <[email-masked]>
Date: Wed, 23 Nov 2005 09:40:24 -0500

> 5.1.0 - Unknown address error 550-'5.1.1 <[email-masked]>... User

Fixed.